Bug 646697 - "yum install cman" errors out as some packages are newer than expected
Summary: "yum install cman" errors out as some packages are newer than expected
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cman
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-25 23:41 UTC by Jean Gobin
Modified: 2010-10-26 07:56 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-10-26 07:56:01 UTC


Attachments (Terms of Use)

Description Jean Gobin 2010-10-25 23:41:08 UTC
Description of problem:

When trying to install the cman package, the installation aborts as 4 packages are more recent than what the installer expects. 

Version-Release number of selected component (if applicable):

cman.x86_64 0:3.0.17-1.fc13


How reproducible: easily


Steps to Reproduce:

yum install cman


  
Actual results:

[root@linux-node2 ~]# yum -y install cman
updates/metalink                                                                                                                                                                         |  18 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package cman.x86_64 0:3.0.17-1.fc13 set to be installed
--> Processing Dependency: fence-virt >= 0.2.1-1 for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: modcluster >= 0.15.0-3 for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: openais >= 1.1.2-1 for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: ricci >= 0.15.0-4 for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: fence-agents >= 3.0.6-1 for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: libSaCkpt.so.3(OPENAIS_CKPT_B.01.01)(64bit) for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: libcman.so.3()(64bit) for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: liblogthread.so.3()(64bit) for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: libdlm.so.3()(64bit) for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: libccs.so.3()(64bit) for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: libdlmcontrol.so.3()(64bit) for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: libfenced.so.3()(64bit) for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: libSaCkpt.so.3()(64bit) for package: cman-3.0.17-1.fc13.x86_64
--> Processing Dependency: libfence.so.4()(64bit) for package: cman-3.0.17-1.fc13.x86_64
--> Running transaction check
---> Package clusterlib.x86_64 0:3.0.17-1.fc13 set to be installed
---> Package fence-agents.x86_64 0:3.0.17-1.fc13 set to be installed
updates/filelists_db                                                                                                                                                                     | 7.8 MB     00:31     
--> Processing Dependency: perl(Net::Telnet) for package: fence-agents-3.0.17-1.fc13.x86_64
--> Processing Dependency: /usr/bin/ipmitool for package: fence-agents-3.0.17-1.fc13.x86_64
--> Processing Dependency: telnet for package: fence-agents-3.0.17-1.fc13.x86_64
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.0.3)(64bit) for package: fence-agents-3.0.17-1.fc13.x86_64
--> Processing Dependency: pexpect for package: fence-agents-3.0.17-1.fc13.x86_64
--> Processing Dependency: /usr/bin/virsh for package: fence-agents-3.0.17-1.fc13.x86_64
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.1.0)(64bit) for package: fence-agents-3.0.17-1.fc13.x86_64
--> Processing Dependency: perl-Net-Telnet for package: fence-agents-3.0.17-1.fc13.x86_64
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.1.1)(64bit) for package: fence-agents-3.0.17-1.fc13.x86_64
--> Processing Dependency: net-snmp-utils for package: fence-agents-3.0.17-1.fc13.x86_64
--> Processing Dependency: sg3_utils for package: fence-agents-3.0.17-1.fc13.x86_64
--> Processing Dependency: libvirt.so.0()(64bit) for package: fence-agents-3.0.17-1.fc13.x86_64
---> Package fence-virt.x86_64 0:0.2.1-1.fc13 set to be installed
---> Package modcluster.x86_64 0:0.18.1-1.fc13 set to be installed
--> Processing Dependency: oddjob for package: modcluster-0.18.1-1.fc13.x86_64
--> Processing Dependency: dbus for package: modcluster-0.18.1-1.fc13.x86_64
---> Package openais.x86_64 0:1.1.4-1.fc13 set to be installed
---> Package openaislib.x86_64 0:1.1.4-1.fc13 set to be installed
---> Package ricci.x86_64 0:0.18.1-1.fc13 set to be installed
--> Processing Dependency: nss-tools for package: ricci-0.18.1-1.fc13.x86_64
--> Processing Dependency: parted for package: ricci-0.18.1-1.fc13.x86_64
--> Running transaction check
---> Package dbus.x86_64 1:1.2.24-1.fc13 set to be installed
---> Package ipmitool.x86_64 0:1.8.11-4.fc13 set to be installed
---> Package libvirt-client.x86_64 0:0.8.2-1.fc13 set to be installed
--> Processing Dependency: libnetcf.so.1(NETCF_1.3.0)(64bit) for package: libvirt-client-0.8.2-1.fc13.x86_64
--> Processing Dependency: libnuma.so.1(libnuma_1.2)(64bit) for package: libvirt-client-0.8.2-1.fc13.x86_64
--> Processing Dependency: libnetcf.so.1(NETCF_1.0.0)(64bit) for package: libvirt-client-0.8.2-1.fc13.x86_64
--> Processing Dependency: libnuma.so.1(libnuma_1.1)(64bit) for package: libvirt-client-0.8.2-1.fc13.x86_64
--> Processing Dependency: nc for package: libvirt-client-0.8.2-1.fc13.x86_64
--> Processing Dependency: cyrus-sasl-md5 for package: libvirt-client-0.8.2-1.fc13.x86_64
--> Processing Dependency: libnetcf.so.1(NETCF_1.2.0)(64bit) for package: libvirt-client-0.8.2-1.fc13.x86_64
--> Processing Dependency: libyajl.so.1()(64bit) for package: libvirt-client-0.8.2-1.fc13.x86_64
--> Processing Dependency: libaugeas.so.0()(64bit) for package: libvirt-client-0.8.2-1.fc13.x86_64
--> Processing Dependency: libpcap.so.1()(64bit) for package: libvirt-client-0.8.2-1.fc13.x86_64
--> Processing Dependency: libnuma.so.1()(64bit) for package: libvirt-client-0.8.2-1.fc13.x86_64
--> Processing Dependency: libnetcf.so.1()(64bit) for package: libvirt-client-0.8.2-1.fc13.x86_64
---> Package net-snmp-utils.x86_64 1:5.5-17.fc13 set to be installed
---> Package nss-tools.x86_64 0:3.12.7-6.fc13 set to be installed
--> Processing Dependency: nss = 3.12.7-6.fc13 for package: nss-tools-3.12.7-6.fc13.x86_64
---> Package oddjob.x86_64 0:0.30-1.fc13 set to be installed
---> Package parted.x86_64 0:2.1-8.fc13 set to be installed
---> Package perl-Net-Telnet.noarch 0:3.03-9.fc13 set to be installed
---> Package pexpect.noarch 0:2.3-4.fc12 set to be installed
---> Package sg3_utils.x86_64 0:1.28-2.fc13 set to be installed
--> Processing Dependency: sg3_utils-libs = 1.28-2.fc13 for package: sg3_utils-1.28-2.fc13.x86_64
--> Processing Dependency: libsgutils2.so.2()(64bit) for package: sg3_utils-1.28-2.fc13.x86_64
---> Package telnet.x86_64 1:0.17-46.fc13 set to be installed
--> Running transaction check
---> Package augeas-libs.x86_64 0:0.7.3-1.fc13 set to be installed
---> Package cyrus-sasl-md5.x86_64 0:2.1.23-11.fc13 set to be installed
---> Package libpcap.x86_64 14:1.0.0-5.20091201git117cb5.fc13 set to be installed
---> Package nc.x86_64 0:1.84-23.fc13 set to be installed
---> Package netcf-libs.x86_64 0:0.1.7-1.fc13 set to be installed
---> Package nss.i686 0:3.12.7-6.fc13 set to be installed
--> Processing Dependency: nss-softokn(x86-32) >= 3.12.7 for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libc.so.6(GLIBC_2.3.4) for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libc.so.6(GLIBC_2.1) for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libc.so.6(GLIBC_2.1.3) for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libplds4.so for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libnssutil3.so(NSSUTIL_3.12.3) for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libz.so.1 for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libnssutil3.so for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libc.so.6 for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libnssutil3.so(NSSUTIL_3.12.5) for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libdl.so.2 for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libc.so.6(GLIBC_2.0) for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libnspr4.so for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libc.so.6(GLIBC_2.3) for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libplc4.so for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libpthread.so.0(GLIBC_2.0) for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libpthread.so.0 for package: nss-3.12.7-6.fc13.i686
--> Processing Dependency: libnssutil3.so(NSSUTIL_3.12) for package: nss-3.12.7-6.fc13.i686
---> Package numactl.x86_64 0:2.0.3-8.fc13 set to be installed
---> Package sg3_utils-libs.x86_64 0:1.28-2.fc13 set to be installed
---> Package yajl.x86_64 0:1.0.7-3.fc13 set to be installed
--> Running transaction check
---> Package glibc.i686 0:2.12.1-3 set to be installed
--> Processing Dependency: libfreebl3.so for package: glibc-2.12.1-3.i686
--> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3) for package: glibc-2.12.1-3.i686
---> Package nspr.i686 0:4.8.6-1.fc13 set to be installed
---> Package nss-softokn.i686 0:3.12.7-6.fc13 set to be installed
--> Processing Dependency: libsqlite3.so.0 for package: nss-softokn-3.12.7-6.fc13.i686
---> Package nss-util.i686 0:3.12.7-2.fc13 set to be installed
---> Package zlib.i686 0:1.2.3-23.fc12 set to be installed
--> Running transaction check
---> Package nss-softokn-freebl.i686 0:3.12.7-6.fc13 set to be installed
---> Package sqlite.i686 0:3.6.22-1.fc13 set to be installed
--> Processing Dependency: libreadline.so.6 for package: sqlite-3.6.22-1.fc13.i686
--> Running transaction check
---> Package readline.i686 0:6.1-2.fc13 set to be installed
--> Processing Dependency: libtinfo.so.5 for package: readline-6.1-2.fc13.i686
--> Running transaction check
---> Package ncurses-libs.i686 0:5.7-7.20100130.fc13 set to be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================================================================================================================================
 Package                                             Arch                                    Version                                                             Repository                                Size
================================================================================================================================================================================================================
Installing:
 cman                                                x86_64                                  3.0.17-1.fc13                                                       updates                                  425 k
Installing for dependencies:
 augeas-libs                                         x86_64                                  0.7.3-1.fc13                                                        updates                                  294 k
 clusterlib                                          x86_64                                  3.0.17-1.fc13                                                       updates                                   71 k
 cyrus-sasl-md5                                      x86_64                                  2.1.23-11.fc13                                                      fedora                                    46 k
 dbus                                                x86_64                                  1:1.2.24-1.fc13                                                     fedora                                   208 k
 fence-agents                                        x86_64                                  3.0.17-1.fc13                                                       updates                                  190 k
 fence-virt                                          x86_64                                  0.2.1-1.fc13                                                        fedora                                    33 k
 glibc                                               i686                                    2.12.1-3                                                            updates                                  4.3 M
 ipmitool                                            x86_64                                  1.8.11-4.fc13                                                       fedora                                   307 k
 libpcap                                             x86_64                                  14:1.0.0-5.20091201git117cb5.fc13                                   fedora                                   126 k
 libvirt-client                                      x86_64                                  0.8.2-1.fc13                                                        updates                                  2.0 M
 modcluster                                          x86_64                                  0.18.1-1.fc13                                                       updates                                  183 k
 nc                                                  x86_64                                  1.84-23.fc13                                                        updates                                   57 k
 ncurses-libs                                        i686                                    5.7-7.20100130.fc13                                                 fedora                                   255 k
 net-snmp-utils                                      x86_64                                  1:5.5-17.fc13                                                       updates                                  164 k
 netcf-libs                                          x86_64                                  0.1.7-1.fc13                                                        updates                                   47 k
 nspr                                                i686                                    4.8.6-1.fc13                                                        updates                                  112 k
 nss                                                 i686                                    3.12.7-6.fc13                                                       updates                                  752 k
 nss-softokn                                         i686                                    3.12.7-6.fc13                                                       updates                                  171 k
 nss-softokn-freebl                                  i686                                    3.12.7-6.fc13                                                       updates                                  113 k
 nss-tools                                           x86_64                                  3.12.7-6.fc13                                                       updates                                  744 k
 nss-util                                            i686                                    3.12.7-2.fc13                                                       updates                                   45 k
 numactl                                             x86_64                                  2.0.3-8.fc13                                                        fedora                                    55 k
 oddjob                                              x86_64                                  0.30-1.fc13                                                         fedora                                    59 k
 openais                                             x86_64                                  1.1.4-1.fc13                                                        updates                                  192 k
 openaislib                                          x86_64                                  1.1.4-1.fc13                                                        updates                                   80 k
 parted                                              x86_64                                  2.1-8.fc13                                                          fedora                                   605 k
 perl-Net-Telnet                                     noarch                                  3.03-9.fc13                                                         fedora                                    55 k
 pexpect                                             noarch                                  2.3-4.fc12                                                          fedora                                   128 k
 readline                                            i686                                    6.1-2.fc13                                                          fedora                                   181 k
 ricci                                               x86_64                                  0.18.1-1.fc13                                                       updates                                  615 k
 sg3_utils                                           x86_64                                  1.28-2.fc13                                                         fedora                                   471 k
 sg3_utils-libs                                      x86_64                                  1.28-2.fc13                                                         fedora                                    51 k
 sqlite                                              i686                                    3.6.22-1.fc13                                                       fedora                                   309 k
 telnet                                              x86_64                                  1:0.17-46.fc13                                                      fedora                                    58 k
 yajl                                                x86_64                                  1.0.7-3.fc13                                                        fedora                                    27 k
 zlib                                                i686                                    1.2.3-23.fc12                                                       fedora                                    69 k

Transaction Summary
================================================================================================================================================================================================================
Install      37 Package(s)

Total size: 13 M
Total download size: 5.1 M
Installed size: 44 M
Downloading Packages:
(1/6): clusterlib-3.0.17-1.fc13.x86_64.rpm                                                                                                                                               |  71 kB     00:00     
(2/6): cman-3.0.17-1.fc13.x86_64.rpm                                                                                                                                                     | 425 kB     00:01     
(3/6): fence-agents-3.0.17-1.fc13.x86_64.rpm                                                                                                                                             | 190 kB     00:00     
(4/6): glibc-2.12.1-3.i686.rpm                                                                                                                                                           | 4.3 MB     00:14     
(5/6): nc-1.84-23.fc13.x86_64.rpm                                                                                                                                                        |  57 kB     00:00     
(6/6): net-snmp-utils-5.5-17.fc13.x86_64.rpm                                                                                                                                             | 164 kB     00:00     
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                           294 kB/s | 5.1 MB     00:17     
Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
  package nss-softokn-3.12.8-1.fc13.x86_64 (which is newer than nss-softokn-3.12.7-6.fc13.i686) is already installed
  package nss-util-3.12.8-1.fc13.x86_64 (which is newer than nss-util-3.12.7-2.fc13.i686) is already installed
  package nss-softokn-freebl-3.12.8-1.fc13.x86_64 (which is newer than nss-softokn-freebl-3.12.7-6.fc13.i686) is already installed
  package nss-3.12.8-2.fc13.x86_64 (which is newer than nss-3.12.7-6.fc13.i686) is already installed

Error Summary
-------------



Expected results:

package cman installed.

Additional info:

Fresh install from the DVD and OS up-to-date through yum and repositories.

Comment 1 Fabio Massimo Di Nitto 2010-10-26 07:56:01 UTC
This is not a bug in cman/cluster.

As you can see your installation includes both x86_64 and i686 packages.

when a library provides both (in this case nss library), in order to install one, the other needs to be in sync.

As shown in the error, this is not the case.

yum is telling you that nss is not able to be installed for x86_64 because the i686 version is older.

2 possible solutions: uninstall the i686 version of nss or upgrade it properly.


Note You need to log in before you can comment on or make changes to this bug.